Skip to main content
GET
/
v1
/
teams
/
{team_id}
/
secrets
/
{secret_id}
Get Secret Details
curl --request GET \
  --url https://api.dataraven.io/v1/teams/{team_id}/secrets/{secret_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "secret_type": "s3",
  "auth_method": "s3_access_key",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "location_count": 123,
  "vault_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vault_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vault_connection_name": "<string>",
  "vault_type": "onepassword",
  "external_field_mappings": {},
  "created_by_email": "<string>",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by_email": "<string>",
  "locations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "task_count": 0,
  "tasks": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

secret_id
string<uuid>
required
team_id
string<uuid>
required

Response

Successful Response

Schema for detailed secret information including usage statistics.

id
string<uuid>
required
name
string
required
description
string | null
required
secret_type
enum<string>
required

Cloud storage provider types.

Available options:
s3,
azure_blob,
gcs,
r2,
b2,
wasabi,
railway,
oracle_object_storage_s3,
s3_compatible,
tigris,
digitalocean_spaces,
hetzner,
rabata
auth_method
enum<string>
required

Authentication mechanism identifiers for cloud storage credentials.

Each provider may support one or more authentication methods. Explicit names ensure clarity and make it easy to add new methods.

Available options:
s3_access_key,
r2_access_key,
wasabi_access_key,
railway_access_key,
oracle_object_storage_s3_access_key,
s3_compatible_access_key,
tigris_access_key,
digitalocean_spaces_access_key,
hetzner_access_key,
rabata_access_key,
azure_account_key,
azure_sas_url,
gcs_service_account,
b2_application_key
created_at
string<date-time>
required
created_by
string<uuid>
required
updated_at
string<date-time>
required
location_count
integer
required

Number of locations using this secret

vault_secret_id
string<uuid> | null

AWS SSM Parameter Store secret ID (null if using external vault)

vault_connection_id
string<uuid> | null

External vault connection ID (null if using AWS SSM Parameter Store)

vault_connection_name
string | null

Name of the vault connection

vault_type
enum<string> | null

Type of external vault (onepassword, doppler, infisical)

Available options:
onepassword,
doppler,
infisical
external_field_mappings
External Field Mappings · object

Field name to vault reference mappings

created_by_email
string | null

Email of user who created this secret

updated_by
string<uuid> | null

User who last updated this secret

updated_by_email
string | null

Email of user who last updated this secret

locations
LocationReference · object[] | null

Locations using this secret

task_count
integer
default:0

Number of tasks using locations with this secret

tasks
TaskReference · object[] | null

Tasks using locations with this secret